<?xml version="1.0"?>
<xsl:stylesheet version = "1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:imsvdex="http://www.imsglobal.org/xsd/imsvdex_v1p0"
 exclude-result-prefixes="imsvdex">

<xsl:output 
	method="xml" 
	indent="yes" 
	doctype-system="http://zthes.z3950.org/xml/zthes-05.dtd"
	doctype-public="-//z3950.org//DTD Zthes 0.5//EN"/>
	
	<xsl:template match="imsvdex:root">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="imsvdex:vdex">
		<Zthes>
			<xsl:apply-templates select="imsvdex:vocabName | imsvdex:vocabIdentifier"/>
			
			<xsl:apply-templates select="//imsvdex:term[imsvdex:termIdentifier and imsvdex:caption]"/>
		</Zthes>
	</xsl:template>
	
	<xsl:template match="imsvdex:vocabName | imsvdex:vocabIdentifier">
	</xsl:template>	
	
	<xsl:template match="imsvdex:term[imsvdex:termIdentifier and imsvdex:caption]">
		
		<term>
			<termId>
				<xsl:value-of select="imsvdex:termIdentifier"/>
			</termId>
			
			<xsl:apply-templates select="imsvdex:caption[imsvdex:langstring]"/>
			
			<xsl:apply-templates select="imsvdex:relationship[imsvdex:targetTerm]"/>	
		</term>
		
	</xsl:template>	
	
	<xsl:template match="imsvdex:caption[imsvdex:langstring]">
		<termName>
			<xsl:value-of select="imsvdex:langstring"/>
		</termName>
	</xsl:template>
	
	<xsl:template match="imsvdex:relationship[imsvdex:targetTerm]">
		
		<relation>
			<xsl:apply-templates select="imsvdex:relationshipType"/>
		
			<termId>
				<xsl:value-of select="imsvdex:targetTerm"/>
			</termId>			
		</relation>
		
	</xsl:template>
	  
	<xsl:template match="imsvdex:relationshipType">
		
		<relationType>
			<xsl:value-of select="."/>
		</relationType>
		
	</xsl:template>
		  
	  
</xsl:stylesheet>
