<?xml version="1.0"?>

<xsl:stylesheet version = "1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www.imsglobal.org/xsd/imsvdex_v1p0"
 exclude-result-prefixes="#default">
 
	<xsl:output method="xml" indent="yes"/>
	
	<xsl:template match="/"> 
		<xsl:apply-templates/>
	</xsl:template>


	<xsl:variable name="vocabName">Zthes Thesaurus Vocabulary</xsl:variable>

	<xsl:template match="/Zthes">
		
		<vdex xmlns="http://www.imsglobal.org/xsd/imsvdex_v1p0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" orderSignificant="false" profileType="lax" xsi:schemaLocation="http://www.imsglobal.org/xsd/imsvdex_v1p0 http://www.imsglobal.org/xsd/imsvdex_lax_v1p0pd.xsd" language="en">
			
			<vocabName>
				<langstring language="en"><xsl:value-of select="$vocabName"/></langstring> 
			</vocabName>		

			<xsl:apply-templates select="term[termId]"/>
		</vdex>
		
	</xsl:template>
	

	<xsl:template match="term[termId]">
	
		<term>
			<termIdentifier>
				<xsl:value-of select="termId"/>
			</termIdentifier>
			
			<xsl:apply-templates select="termName"/>
			
			<xsl:apply-templates select="relation[termId]"/>
		</term>
		
	</xsl:template>	

	<xsl:template match="termName">
	
		<caption>
			<langstring language="en"><xsl:value-of select="."/></langstring> 
		</caption>
		
	</xsl:template>
	
	<xsl:template match="relation[termId]">
	
		<relationship>
			<targetTerm>
				<xsl:value-of select="termId"/>
			</targetTerm>
			
			<xsl:apply-templates select="relationType"/>
		</relationship>
		
	</xsl:template>
	  
	<xsl:template match="relationType">
	
		<relationshipType source="">
			<xsl:value-of select="."/>
		</relationshipType>
		
	</xsl:template>
	  
	  
</xsl:stylesheet>


