/**
  *  RELOAD Editor - An IMS Metadata, Content Packaging and Learning Design tool.
  *
  *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir
  *
  *  Permission is hereby granted, free of charge, to any person obtaining a copy
  *  of this software and associated documentation files (the "Software"), to deal
  *  in the Software without restriction, including without limitation the rights
  *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  *  copies of the Software, and to permit persons to whom the Software is
  *  furnished to do so, subject to the following conditions:
  *
  *  The above copyright notice and this permission notice shall be included in
  *  all copies or substantial portions of the Software.
  *
  *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  *
  *  Project Management Contact:
  *
  *  Oleg Liber
  *  Bolton Institute of Higher Education
  *  Deane Road
  *  Bolton BL3 5AB
  *  UK
  *
  *  e-mail:   o.liber@bolton.ac.uk
  *
  *
  *  Technical Contact:
  *
  *  Phillip Beauvoir
  *  e-mail:   p.beauvoir@bolton.ac.uk
  *
  *  Web:      http://www.reload.ac.uk
  *
  */

package uk.ac.reload.menu;

import java.awt.event.*;
import javax.swing.*;

import uk.ac.reload.*;
import uk.ac.reload.prefs.metadataprofiler.*;
import uk.ac.reload.util.*;

/**
 * Open Metadata Profiler Menu Action
 *
 * @author Phillip Beauvoir
 * @version 2003-02-20
 */
public class MenuAction_MDProfileEditor extends MenuAction {

    public MenuAction_MDProfileEditor() {
        super("Metadata Profile Editor");
    }

    /**
     * Show a new window - we put this on a thread so we can close the menu item
     * quickly and paint our frame.  Also this ensures that the scrollbars in
     * the new frame remain scrolled at the top.
     * @param e
     */
    public void actionPerformed(ActionEvent e) {
        Thread thread = new Thread() {
            public void run() {
                // New Internal window
                ReloadEditor.getInstance().setCursor(ReloadUIManager.WAIT_CURSOR);
                final MetadataProfileEditorFrame mdProfileEditor = new MetadataProfileEditorFrame();
                ReloadEditor.getInstance().addInternalFrame(mdProfileEditor);
                // Show the Window later in the Event queue
                SwingUtilities.invokeLater(new Runnable() {
                    public void run() {
                        mdProfileEditor.show();
                    }
                });
                ReloadEditor.getInstance().setCursor(ReloadUIManager.DEFAULT_CURSOR);
            }
        };

        thread.start();
    }

}