/**
  *  RELOAD Editor - An IMS Metadata, Content Packaging and Learning Design tool.
  *
  *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Phil Barker, Tina Manoharan
  *
  *  Permission is hereby granted, free of charge, to any person obtaining a copy
  *  of this software and associated documentation files (the "Software"), to deal
  *  in the Software without restriction, including without limitation the rights
  *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  *  copies of the Software, and to permit persons to whom the Software is
  *  furnished to do so, subject to the following conditions:
  *
  *  The above copyright notice and this permission notice shall be included in
  *  all copies or substantial portions of the Software.
  *
  *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  *
  *  Project Management Contact:
  *
  *  Oleg Liber
  *  Bolton Institute of Higher Education
  *  Deane Road
  *  Bolton BL3 5AB
  *  UK
  *
  *  e-mail:   o.liber@bolton.ac.uk
  *
  *  Phil Barker
  *  ICBL, Heriot-Watt University
  *  Riccarton
  *  Edinburgh EH14 4AS
  *  UK
  *
  *  e-mail:   philb@icbl.hw.ac.uk
  *
  *
  *  Technical Contact:
  *
  *  Phillip Beauvoir
  *  e-mail:   p.beauvoir@bolton.ac.uk
  *
  *  Web:      http://www.reload.ac.uk
  *
  *  Tina Manoharan
  *  e-mail:   ceetm2@macs.hw.ac.uk
  *
  */

package uk.ac.reload.vocabulary.tableview;


import org.jdom.*;
import uk.ac.reload.vocabulary.*;
import uk.ac.reload.schema.*;
import uk.ac.reload.widgets.tree.*;


/**
 * A Tree Node for VX
 *
 */
public class VocabularyTreeNode
extends ReloadElementTreeNode
{
    /**
     * Constructor for Root Element
     * @param reloadDocument The ReloadDocument DOM Document
     */
    public VocabularyTreeNode(Vocabulary vx) {
        super(vx);
    }

    /**
     * Constructor for child Element
     * @param element The JDOM Element
     */
    public VocabularyTreeNode(Element element) {
        super(element);
    }

    /**
     * Over-ride this to do special stuff
     */
    public String toString() {
        // Get Friendly name if possible, or qualified name if not
        String value = null;
        ReloadSchemaElement reloadSchemaElement = getSchemaElement();
        if(reloadSchemaElement != null) {
            value = getReloadDocument().getReloadSchemaController().getElementFriendlyName(reloadSchemaElement.getDomPath());
        }
        if(value == null) value = getElement().getQualifiedName();
        return value;
    }

}
