/**
  *  RELOAD Editor - An IMS Metadata, Content Packaging and Learning Design tool.
  *
  *  Copyright (c) 2003 Oleg Liber, Bill Olivier, Phillip Beauvoir, Phil Barker, Tina Manoharan
  *
  *  Permission is hereby granted, free of charge, to any person obtaining a copy
  *  of this software and associated documentation files (the "Software"), to deal
  *  in the Software without restriction, including without limitation the rights
  *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  *  copies of the Software, and to permit persons to whom the Software is
  *  furnished to do so, subject to the following conditions:
  *
  *  The above copyright notice and this permission notice shall be included in
  *  all copies or substantial portions of the Software.
  *
  *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  *
  *  Project Management Contact:
  *
  *  Oleg Liber
  *  Bolton Institute of Higher Education
  *  Deane Road
  *  Bolton BL3 5AB
  *  UK
  *
  *  e-mail:   o.liber@bolton.ac.uk
  *
  *  Phil Barker
  *  ICBL, Heriot-Watt University
  *  Riccarton
  *  Edinburgh EH14 4AS
  *  UK
  *
  *  e-mail:   philb@icbl.hw.ac.uk
  *
  *
  *  Technical Contact:
  *
  *  Phillip Beauvoir
  *  e-mail:   p.beauvoir@bolton.ac.uk
  *
  *  Web:      http://www.reload.ac.uk
  *
  *  Tina Manoharan
  *  e-mail:   ceetm2@macs.hw.ac.uk
  *
  */


package uk.ac.reload;

import java.util.*;
import java.io.*;

/**
 * This assists with loading and getting values from a Properties file
 *
 * @author Tina Manoharan
 * @version 2003-09-09
 */
public class ReloadPropertiesManager {

	// Vocabulary Properties file
	private static String vocabPropertiesFile = "uk.ac.reload.vocabulary";
	private static ResourceBundle vocabResourceBundle;


	public static void setResourceBundle() {

		try {

			vocabResourceBundle = ResourceBundle.getBundle(vocabPropertiesFile);
		}
		catch(MissingResourceException mre) {

			if(ReloadEditor.DEBUG) System.out.println(" Cant Find ResourceBundle ");
			if(ReloadEditor.DEBUG) System.out.println(" Specific Error: " + mre.getMessage());
		}
		catch(NullPointerException npe) {

			if(ReloadEditor.DEBUG) System.out.println(" Resource Bundle Null ");
			if(ReloadEditor.DEBUG) System.out.println(" Specific Error: " + npe.getMessage());
		}
	}

	public static String getString(String type, String key) {

		if(type.equals("vx")) return vocabResourceBundle.getString(key);

		return "";
	}

}